ContentSearch API PROD

ListStories returns published stories.

get
https://api.migros.ch/migros/contentsearch/v1/stories

Query Parameters

contentfulAppIdstringrequired

Required. The contentful app ID to list news for, e.g. corporate.migros.ch
test-corporate.migros.ch.
This is needed in the backend so we can identify which news tags (e.g.
Warenrückruf und Medienmitteilungen) apply; articles with those news
tags are then excluded from the response.

languagestring

Optional. If set, only stories matching this language will be returned. By
default, german stories are returned.

Allowed values:DEFRITEN

Default:DE

topicTagIdsarray[string]

The service does not verify/validate that the passed tag IDs are indeed
topic tags or category tags.

Optional. If empty, stories matching any topic tags are returned. If at
least one topic tag is given, each returned story must have at least one
of these tags present in order to be returned.
Tag ordering within this list does not matter. Duplicates are ignored.

categoryTagIdsarray[string]

Optional. If empty, stories of any category (e.g. “Interview”, “Podcast”)
will be returned. If at least one category tag is given, each returned
story must have at least one of these tags present in order to be returned.
Tag ordering within this list does not matter. Duplicates are ignored.

mustNotTagIdsarray[string]

Optional. Specifies disallowed category tags (e.g., ‘Interview’, ‘Podcast’). Tags matching any tag in this set will not be returned in the response. Tag ordering within this list does not matter. Duplicates are ignored.

pageSizestring(int64)

Optional. The maximum number of stories to return in the response.

nextPageFromstring(int64)

Optional. A pagination token returned from a previous call to ListStories
that indicates where this listing should continue from.

sortByarray[string]

Optional. Multiple sort parameters to determine the order of the results. Example: [‘releaseDate:desc’, ‘_score:desc’]. Valid Fields are releaseDate and _score. Each entry specifies a field and its sort direction (asc/desc).

Response

application/json

A successful response.

storiesarray[object]

Story represents a story published to Migros corporate websites.

Show Child Parameters
totalHitsstring(int64)

Total number of stories for this request, not taking page_size into
account.

get/migros/contentsearch/v1/stories
 
application/json

ImagePoint

object
xstring(int64)
ystring(int64)
Example

consolcontentsearchContact

object
addressstring

Physical address of the contact.

companystring

Name of the company associated with the contact.

descriptionstring

Description of the contact.

emailstring

Email address for the contact.

functionstring

Function of the contact.

imageobject

Image associated with the contact.

Show Child Parameters
mobilestring

Mobile phone number for the contact.

phonestring

Phone number for the contact.

titlestring

Title of the contact.

Example

consolcontentsearchContenthubNews

object

A message representing a ‘detail view’ of a news item.

contactsarray[object]

Optional. List of contacts related to the news item.

Show Child Parameters
contentstring

Required. Full content of the news item.

downloadsarray[object]

Optional. List of downloadable items related to the news item.

Show Child Parameters
idstring

Required. An opaque system ID.

imageobject

Required. URL for the main image of the news item.

Show Child Parameters
introstring

Required. Introductory text for the news item.

publishedTimestampstring(date-time)

Required. Timestamp when the news item was published.

regionstring

Required. The region for the news item.

shortTitlestring

Required. Short title of the news item.

slugstring

Required. The slug of this news item.

tagsarray[object]

Required. Tags for this news item.

Show Child Parameters
titlestring

Required. The title of this news item.

translationAvailableboolean

Required. Indicates if translations are available.

Example

consolcontentsearchMigustoArticle

object
contentstring
hasVideoboolean

Required. Indicates whether the article has a stage video.

highlightstring
idstring
imageobject
Show Child Parameters
slugstring

Required. The slug used to build the article detail route.

tagsarray[object]
Show Child Parameters
titlestring
updatedAtstring(date-time)
Example